#ifndef SONG_HPP
#define SONG_HPP
#include <string>

typedef struct Comment {
   int commentTime;
   int commentLength;
   int numberOfWords;
   bool avatarLoaded;
} comment_t;

typedef struct Song {
   int lengthInMS;
   int numberOfComments;
   comment_t *comments;
   std::string title;
} song_t;


song_t * parseSongDataFile(const char *filename);

#endif // SONG_HPP