uniform sampler2D uTexUnit;
uniform int uWaveRender;
uniform int uDrawCube;

varying vec2 vTexCoord;



void main(void) {
   vec4 texColor1 = texture2D(uTexUnit, vTexCoord);
   float red = texColor1[0];
   float green = texColor1[1];
   float blue = texColor1[2];

   if(red > 0.8 && blue > 0.8 && green > 0.8 && uWaveRender == 1) {
      discard;
   }
   if(uWaveRender == 1 && vTexCoord[0] > 0.99 || vTexCoord[1] > 0.99 || vTexCoord[0] < 0.01 || vTexCoord[1] < 0.01) {
      discard;
   }
   gl_FragColor = vec4(red, green, blue, 1);
}

